<?php

namespace Drupal\reinstall\Plugin\migrate\source;

use Drupal\migrate\Plugin\MigrationInterface;

/**
 * Source plugin for files from a YAML file.
 *
 * @MigrateSource(
 *   id = "reinstall_files"
 * )
 */
class ReinstallFileSource extends SimpleSource {

  /**
   * Constructor.
   */
  public function __construct(
    array $configuration,
    string $pluginId,
    array $pluginDefinition,
    MigrationInterface $migration
  ) {
    parent::__construct($configuration, $pluginId, $pluginDefinition, $migration);

    $rawRecords = array_map([$this, 'flattenRecord'], $this->initialParse($configuration));
    $this->records = $rawRecords;
  }

}
